File pciutils-3.2.0_update-dist.patch of Package pciutils

diff -aur pciutils-3.2.0.orig//Makefile pciutils-3.2.0/Makefile
--- pciutils-3.2.0.orig//Makefile	2013-04-19 14:58:49.000000000 +0200
+++ pciutils-3.2.0/Makefile	2013-07-30 23:03:04.385436935 +0200
@@ -85,7 +85,7 @@
 ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)
 
 update-pciids: update-pciids.sh
-	sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
+	sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/pci.ids.d/pci.ids.dist@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=@"
 	chmod +x $@
 
 # The example of use of libpci
diff -aur pciutils-3.1.9.orig/update-pciids.sh pciutils-3.1.9/update-pciids.sh
--- pciutils-3.1.9.orig/update-pciids.sh	2012-01-14 09:29:38.000000000 -0500
+++ pciutils-3.1.9/update-pciids.sh	2012-01-28 21:05:57.719301612 -0500
@@ -4,7 +4,7 @@
 
 set -e
 SRC="http://pci-ids.ucw.cz/v2.2/pci.ids"
-DEST=pci.ids
+DEST=pci.ids.d/pci.ids.dist
 PCI_COMPRESSED_IDS=
 GREP=grep
 
@@ -66,6 +66,13 @@
 mv $DEST.neww $DEST
 rm $DEST.new
 
+if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
+	merge-pciids
+else
+	echo "WARNING: merge-pciids or perl missing"
+	cp -p $DEST /usr/share/pci.ids
+fi
+
 # Older versions did not compress the ids file, so let's make sure we
 # clean that up.
 if [ ${DEST%.gz} != ${DEST} ] ; then